{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/cropper/cropper.min.css' %}">
    <style>
        .crop-preview > canvas {
            width: 100%;
            height: auto;
        }
        .django-ckeditor-widget{
            width: 100% !important;
        }
    </style>
{% endblock css %}

{% block scripts %}
    {% load static %}
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
{% endblock scripts %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_KM' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_KM' %}">Pricelist</a></li>
            <li class="breadcrumb-item active" aria-current="page">{% if edit %}Ubah{% else %}Tambah{% endif %}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="card mb-5 shadow">
        <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} Pricelist</h5>
        <div class="card-body">

            <form method ='post' enctype ="multipart/form-data" 
            {% if edit %}
                action="{% url 'profile:admin_pricelist_edit' news.id %}"
            {% else %}
                action="{% url 'profile:admin_pricelist_create' %}"
            {% endif %}>
        
           
            {% csrf_token %}
            
            <div class="form-group">
                <label for="deskripsi">Pilih Kategori</label>
                <select name="kategori" class="form-control">
                  {% for mobil in form  %}
                    <option value="{{mobil.id}}" {% if mobil.id == news.id_mobil.id %} selected {% endif %}>{{mobil.nama}}</option>
                  {% endfor %}
                </select>
            </div>
            <div class="form-group">
                <label for="deskripsi">Masukan Type Mobil</label>
                <input type="text" name="nama" class="form-control" value="{{news.typex}}">
            </div>

            <div class="form-group">
                <label for="harga">Masukan Harga Mobil Manual</label>
                <input type="text" name="manual" class="form-control" value="{{news.manual}}">
            </div>
            <div class="form-group">
                <label for="harga">Masukan Harga Mobil Matic</label>
                <input type="text" name="matic" class="form-control" value="{{news.matic}}">
            </div>
        
            <button type="submit" class="btn btn-success" id="submitButton"><i class="bi bi-save"></i> Simpan</button>
            </form>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js" integrity="sha512-3gJwYpMe3QewGELv8k/BX9vcqhryRdzRMxVfq6ngyWXwo03GFEzjsUm8Q7RZcHPHksttq7/GFoxjCVUjkjvPdw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="{% static 'admin/js/cropper/cropper.min.js' %}"></script>
    <script src="{% static 'admin/js/cropper/jquery-cropper.min.js' %}"></script>
{% endblock scripts_bawah %}